<div
  class="state-filters-map-feature"
  {{did-insert this.setup}}
  {{did-update this.setup @state}}
  ...attributes
>
  {{#if this.hasSearch}}
    <Filters::SearchOptions
      @niceValue={{this.niceValue}}
      @title={{this.title}}
      @placeholder={{this.placeholder}}
      @onReset={{this.reset}}
      @onSearch={{this.search}}
    >
      {{#if this.results}}
        <hr class="m-0" />

        <div class="list-group list-group-flush">
          {{#each this.results as |record|}}
            <button
              type="button"
              class="list-group-item list-group-item-action"
              {{on "click" (fn this.select record)}}
            >
              {{record.name}}
            </button>
          {{/each}}
        </div>
      {{/if}}
    </Filters::SearchOptions>
  {{else}}
    <Filters::Options
      @value={{this.niceValue}}
      @title={{this.title}}
      @onChange={{this.reset}}
      class="limit-height"
    >
      <div class="list-group list-group-flush">
        {{#each this.results as |value|}}
          <button
            type="button"
            class="list-group-item list-group-item-action"
            {{on "click" (fn this.select value)}}
          >
            {{value.name}}
          </button>
        {{/each}}
      </div>
    </Filters::Options>
  {{/if}}
</div>